%Prozedur PProfile
% Skript-Datei zur Berechnung und Darstellung von magnetischen 
%    Flussdichte-Profilen
% Autor Hans J. Wagner 28. Mrz 2005
% 18. 10. 2006: reduziert auf 3 Leiter und Bercksichtigung des Magnetfeld-
%             verlaufs im Leiterinneren
% 19. 2. 2007:  Einfhrung variabler x-Koordinaten fr die Leiter
% 14. 10. 2007: Erluterungen hinzugefgt
% Hinweis:
%  die nachstehend verwendeten Werte dienen nur als Beispiele und sind
%  beim Versuch durch Messwerte und aktuelle Versuchsgren zu ersetzen!!!
%
clear all;
close all;
f = 50; % Frequenz in Herz
I0 = [400,400,400]*sqrt(2); %Vektor der Stromstrken (A) (Scheitelwerte!!!)
Fi = [0,-120,-240]; % Vektor der Phasenwinkel in Grad
a = 0.1; % Leiterabstand (m) (als quidistant angenommen!!)
d0 = 0.02; % Leiterdurchmesser (m) 
xn = [0,0,0]; % x-Positionen der Leiter (m)
yn = [-a,0,a]; % y-Positionen der Leiter (m)
z = [0,2.25]; % z-Koordinaten der Anfangs- u. Endpunkte der Leiter (m)
rp = [2*a,0,sum(z)/2]; % Messpunktvektor, Initialisierung
% %========= z-Profil im Abstand von 0,2m vor Mittelleiter ==============
n = 300; % Zahl der Punkte
zv = linspace(z(1)-0.5,z(2)+0.5,n);
r = [rp(1) rp(2) 0]; % Ortsvektor des Messpunktes, Anfangswert
for k = 1:n;
r(3) = zv(k);  % z-Koordinate durchfahren
zergebnis(k) = Effektiv(r,xn,yn,z,Fi,I0,d0,f);   % Effektivwerte berechnen
end;
figure; % neue Grafik
title('Flussdichtenprolfile Gruppe 2');
subplot(131);
plot(zv,zergebnis) % grafische Darstellung
grid on
title('z-Profil')
xlabel('z/m');
ylabel('B/T');
%============ y-Profil auf halber Hhe durch die Leiter ============
n = 250; % Zahl der Punkte
yv = linspace(-2*a,2*a,n);
r = [0 0 rp(3)]; % Ortsvektor des Messpunktes, Anfangswert
for k = 1:n;
r(2) = yv(k);  % y-Koordinate durchfahren
yergebnis(k) = Effektiv(r,xn,yn,z,Fi,I0,d0,f);    % Effektivwerte berechnen
end;
subplot(132);
plot(yv,yergebnis) % grafische Darstellung
grid on
title('y-Profil')
xlabel('y/m');
ylabel('B/T');
%============= x-Profil auf halber Hhe durch mittleren Leiter ==========
n = 250; % Zahl der Punkte
xv = linspace(-2*a,2*a,n);
r = [0 0 rp(3)]; % Ortsvektor des Messpunktes, Initialisierung
for k = 1:n;
r(1) = xv(k);  % x-Koordinate durchfahren
xergebnis(k)  =Effektiv(r,xn,yn,z,Fi,I0,d0,f);   % Effektivwerte berechnen
end;
subplot(133);
plot(xv,xergebnis) % grafische Darstellung
grid on
title('x-Profil')
xlabel('x/m');
ylabel('B/T');